## golang-github-spf13-cobra 1.1.2

=== Makefile ===
BIN="./bin"
SRC=$(shell find . -name "*.go")

ifeq (, $(shell which golangci-lint))
$(warning "could not find golangci-lint in $(PATH), run: curl -sfL https://install.goreleaser.com/github.com/golangci/golangci-lint.sh | sh")
endif

ifeq (, $(shell which richgo))
$(warning "could not find richgo in $(PATH), run: go get github.com/kyoh86/richgo")
endif

.PHONY: fmt lint test cobra_generator install_deps clean

default: all

all: fmt test cobra_generator

fmt:
	$(info ******************** checking formatting ********************)
	@test -z $(shell gofmt -l $(SRC)) || (gofmt -d $(SRC); exit 1)

lint:
	$(info ******************** running lint tools ********************)
	golangci-lint run -v

test: install_deps lint
	$(info ******************** running tests ********************)
	richgo test -v ./...

cobra_generator: install_deps
	$(info ******************** building generator ********************)
	mkdir -p $(BIN)
	make -C cobra all

install_deps:
	$(info ******************** downloading dependencies ********************)
	go get -v ./...

clean:
	rm -rf $(BIN)

## golang-github-spf13-cobra 0.0~git20150917.0.53d9650

=== debian/changelog ===
golang-github-spf13-cobra (0.0~git20150917.0.53d9650-1) unstable; urgency=medium

  * Initial release (Closes: #798416)
  * Temporarily override dh_auto_test to run "go test" in non-verbose mode
    to avoid failing with "Error: unknown shorthand flag: 't' in -test.v=true".
    See https://github.com/spf13/cobra/pull/155 for more information.

 -- Anthony Fok <foka@debian.org>  Mon, 21 Sep 2015 11:09:36 -0600

=== debian/control ===
Source: golang-github-spf13-cobra
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Anthony Fok <foka@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
               golang-github-cpuguy83-go-md2man-dev,
               golang-github-inconshreveable-mousetrap-dev,
               golang-github-spf13-pflag-dev (>= 0.0~git20150917.0.5a13a75)
Standards-Version: 3.9.6
Homepage: https://github.com/spf13/cobra
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-spf13-cobra.git
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-spf13-cobra.git
XS-Go-Import-Path: github.com/spf13/cobra

Package: golang-github-spf13-cobra-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-go,
         golang-github-cpuguy83-go-md2man-dev,
         golang-github-inconshreveable-mousetrap-dev,
         golang-github-spf13-pflag-dev (>= 0.0~git20150917.0.5a13a75)
Description: Commander for modern Go CLI interactions
 Cobra is a commander providing a simple interface to create powerful
 modern CLI interfaces similar to git & go tools. In addition to providing
 an interface, Cobra simultaneously provides a controller to organize your
 application code.
 .
 Inspired by go, go-Commander, gh and subcommand, Cobra improves on
 these by providing fully POSIX-compliant flags (including short & long
 versions), nesting commands, and the ability to define your own help
 and usage for any or all commands.
 .
 Cobra has an exceptionally clean interface and simple design without
 needless constructors or initialization methods.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_test:
	# Run "go test" in non-verbose mode to avoid
	#     Error: unknown shorthand flag: 't' in -test.v=true
	# See https://github.com/spf13/cobra/pull/155
	# Was "go test -v github.com/spf13/cobra"
	GOPATH=$(CURDIR)/obj-$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE) \
	    go test github.com/spf13/cobra

## golang-github-spf13-cobra 0.0~git20151224.0.b3f29e9

=== debian/changelog ===
golang-github-spf13-cobra (0.0~git20151224.0.b3f29e9-1) unstable; urgency=medium

  * New upstream snapshot:
    - always show help if requested, even if SilenceErrors is enabled
    - Add flaghash to bash_completion to keep flag value
    - adding nanobox/nanopack to list of cobra users
    - Issue #195: Move doc generation into separate pkg

 -- Anthony Fok <foka@debian.org>  Thu, 24 Dec 2015 10:08:45 -0700

golang-github-spf13-cobra (0.0~git20151217.0.c3ef89a-1) unstable; urgency=medium

  * New upstream snapshot: New "cobra" generator tool
  * New "cobra" binary package
  * Add "Red Hat Inc." to debian/copyright
  * Remove override_dh_auto_test target from debian/rules: no longer needed
  * Add Lintian override for "embedded-library libyaml" error
  * Add cobra(1) man pages, generated by Cobra and manually tweaked

 -- Anthony Fok <foka@debian.org>  Thu, 17 Dec 2015 14:47:02 -0700

=== debian/control ===
Source: golang-github-spf13-cobra
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Anthony Fok <foka@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
               golang-github-cpuguy83-go-md2man-dev,
               golang-github-spf13-pflag-dev (>= 0.0~git20150917.0.5a13a75),
               golang-github-spf13-viper-dev
Standards-Version: 3.9.6
Homepage: https://github.com/spf13/cobra
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-spf13-cobra.git
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-spf13-cobra.git
XS-Go-Import-Path: github.com/spf13/cobra

Package: golang-github-spf13-cobra-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-go,
         golang-github-cpuguy83-go-md2man-dev,
         golang-github-spf13-pflag-dev (>= 0.0~git20150917.0.5a13a75),
         golang-github-spf13-viper-dev
Description: Go library for creating powerful modern Go CLI applications
 Cobra is a Go library providing a simple interface to create powerful
 modern CLI interfaces similar to git & go tools.
 .
 Cobra has an exceptionally clean interface and simple design without
 needless constructors or initialization methods.
 .
 This package contains the Cobra library for Go.

Package: cobra
Priority: optional
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Tool to generate Cobra-based modern Go CLI application
 Cobra is a Go library providing a simple interface to create powerful
 modern CLI interfaces similar to git & go tools.
 .
 Cobra has an exceptionally clean interface and simple design without
 needless constructors or initialization methods.
 .
 This package contains the Cobra Generator as /usr/bin/cobra,
 a tool that will generate your application scaffolding
 to rapidly develop a Cobra-based application.

## golang-github-spf13-cobra 0.0~git20160114.0.9c93009

=== debian/changelog ===
golang-github-spf13-cobra (0.0~git20160114.0.9c93009-1) unstable; urgency=medium

  * New upstream snapshot
  * Build using gccgo on architectures without golang-go
  * Allow package to be installed with gccgo where golang-go is unavailable
  * Update debian/copyright

 -- Anthony Fok <foka@debian.org>  Fri, 15 Jan 2016 18:05:59 -0700

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Uploaders: Anthony Fok <foka@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-golang,
-               golang-go,
+               golang-go [amd64 arm64 armel armhf i386 ppc64 ppc64el],
+               gccgo [!amd64 !arm64 !armel !armhf !i386 !ppc64 !ppc64el],
                golang-github-cpuguy83-go-md2man-dev,
                golang-github-spf13-pflag-dev (>= 0.0~git20150917.0.5a13a75),
                golang-github-spf13-viper-dev
@@ -19,7 +20,7 @@
 Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         golang-go,
+         golang-go | gccgo,
          golang-github-cpuguy83-go-md2man-dev,
          golang-github-spf13-pflag-dev (>= 0.0~git20150917.0.5a13a75),
          golang-github-spf13-viper-dev

## golang-github-spf13-cobra 0.0~git20160117.0.8e91712

=== debian/changelog ===
golang-github-spf13-cobra (0.0~git20160117.0.8e91712-1) unstable; urgency=medium

  * New upstream snapshot
  * Remove "golang-go | gccgo" from Depends of golang-github-spf13-cobra-dev

 -- Anthony Fok <foka@debian.org>  Fri, 29 Jan 2016 09:43:15 +0800

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,6 @@
 Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         golang-go | gccgo,
          golang-github-cpuguy83-go-md2man-dev,
          golang-github-spf13-pflag-dev (>= 0.0~git20150917.0.5a13a75),
          golang-github-spf13-viper-dev

## golang-github-spf13-cobra 0.0~git20160427.0.e14e47b

=== debian/changelog ===
golang-github-spf13-cobra (0.0~git20160427.0.e14e47b-1) unstable; urgency=medium

  * New upstream snapshot
  * Update debian/control
    - Bump Standards-Version to 3.9.8 (no change)
    - Use secure https URL for Vcs-Git too

 -- Anthony Fok <foka@debian.org>  Fri, 29 Apr 2016 22:41:04 +0800

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
                golang-github-cpuguy83-go-md2man-dev,
                golang-github-spf13-pflag-dev (>= 0.0~git20150917.0.5a13a75),
                golang-github-spf13-viper-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/spf13/cobra
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-spf13-cobra.git
-Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-spf13-cobra.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-spf13-cobra.git
 XS-Go-Import-Path: github.com/spf13/cobra
 
 Package: golang-github-spf13-cobra-dev

## golang-github-spf13-cobra 0.0~git20160607.0.1238ba1

=== debian/changelog ===
golang-github-spf13-cobra (0.0~git20160607.0.1238ba1-1) unstable; urgency=medium

  * New upstream version for the Hugo v0.16 release
  * Replace architecture-specific hack with golang-any in Build-Depends
  * Use versioned dependency on golang-github-spf13-viper-dev
    to for the Hugo v0.16 release
  * Add debian/watch file

 -- Anthony Fok <foka@debian.org>  Sat, 11 Jun 2016 13:27:04 -0600

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,10 @@
 Uploaders: Anthony Fok <foka@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-golang,
-               golang-go [amd64 arm64 armel armhf i386 ppc64 ppc64el],
-               gccgo [!amd64 !arm64 !armel !armhf !i386 !ppc64 !ppc64el],
+               golang-any,
                golang-github-cpuguy83-go-md2man-dev,
                golang-github-spf13-pflag-dev (>= 0.0~git20150917.0.5a13a75),
-               golang-github-spf13-viper-dev
+               golang-github-spf13-viper-dev (>= 0.0~git20160605.0.c1ccc37)
 Standards-Version: 3.9.8
 Homepage: https://github.com/spf13/cobra
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-spf13-cobra.git
@@ -22,7 +21,7 @@
          ${misc:Depends},
          golang-github-cpuguy83-go-md2man-dev,
          golang-github-spf13-pflag-dev (>= 0.0~git20150917.0.5a13a75),
-         golang-github-spf13-viper-dev
+         golang-github-spf13-viper-dev (>= 0.0~git20160605.0.c1ccc37)
 Description: Go library for creating powerful modern Go CLI applications
  Cobra is a Go library providing a simple interface to create powerful
  modern CLI interfaces similar to git & go tools.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-spf13-cobra-\$1\.tar\.gz/,\\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \\
  https://github.com/spf13/cobra/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-spf13-cobra 0.0~git20161229.0.1dd5ff2

=== debian/changelog ===
golang-github-spf13-cobra (0.0~git20161229.0.1dd5ff2-1) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Team upload.
  * Update watchfile, remove double escape backslash

  [ Tim Potter ]
  * Add me to uploaders

  [ Anthony Fok ]
  * New upstream version 0.0~git20161229.0.1dd5ff2

 -- Anthony Fok <foka@debian.org>  Sun, 01 Jan 2017 12:32:53 -0700

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: extra
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Anthony Fok <foka@debian.org>
+Uploaders: Anthony Fok <foka@debian.org>, Tim Potter <tpot@hpe.com>
 Build-Depends: debhelper (>= 9),
                dh-golang,
                golang-any,

## golang-github-spf13-cobra 0.0~git20170314.0.7be4bed

=== debian/changelog ===
golang-github-spf13-cobra (0.0~git20170314.0.7be4bed-1) unstable; urgency=medium

  * New upstream version 0.0~git20170314.0.7be4bed
  * Added Michael Lustfield to uploaders

 -- Michael Lustfield <michael@lustfield.net>  Tue, 28 Mar 2017 09:27:29 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,9 @@
 Section: devel
 Priority: extra
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Anthony Fok <foka@debian.org>, Tim Potter <tpot@hpe.com>
+Uploaders: Anthony Fok <foka@debian.org>,
+           Tim Potter <tpot@hpe.com>,
+           Michael Lustfield <michael@lustfield.net>
 Build-Depends: debhelper (>= 9),
                dh-golang,
                golang-any,

## golang-github-spf13-cobra 0.0~git20170716.0.d994347

=== debian/changelog ===
golang-github-spf13-cobra (0.0~git20170716.0.d994347-1) unstable; urgency=medium

  [ Michael Lustfield ]
  * New upstream version
  * Add new build dependency on golang-github-mitchellh-go-homedir-dev

  [ Anthony Fok ]
  * Use debhelper (>= 10)
  * Bump Standards-Version to 4.0.0:
    Use https form of the copyright-format URL in debian/copyright
  * Include test fixtures cobra/cmd/testdata that were added in May 2017

 -- Anthony Fok <foka@debian.org>  Sat, 22 Jul 2017 00:45:03 -0600

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 Uploaders: Anthony Fok <foka@debian.org>,
            Tim Potter <tpot@hpe.com>,
            Michael Lustfield <michael@lustfield.net>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-golang,
                golang-any,
                golang-github-cpuguy83-go-md2man-dev,
+               golang-github-mitchellh-go-homedir-dev,
                golang-github-spf13-pflag-dev (>= 0.0~git20150917.0.5a13a75),
                golang-github-spf13-viper-dev (>= 0.0~git20160605.0.c1ccc37)
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/spf13/cobra
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-spf13-cobra.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-spf13-cobra.git
@@ -22,6 +23,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          golang-github-cpuguy83-go-md2man-dev,
+         golang-github-mitchellh-go-homedir-dev,
          golang-github-spf13-pflag-dev (>= 0.0~git20150917.0.5a13a75),
          golang-github-spf13-viper-dev (>= 0.0~git20160605.0.c1ccc37)
 Description: Go library for creating powerful modern Go CLI applications

## golang-github-spf13-cobra 0.0~git20170724.0.90fc11b

=== debian/changelog ===
golang-github-spf13-cobra (0.0~git20170724.0.90fc11b-3) unstable; urgency=medium

  * Try to get cobra to build on mips, mipsel and mips64el:
     1. Add e.g. "-tags mipsle" as appropriate so that golang.org/x/sys/unix
        builds correctly before the release of GCC 7.2 which hopefully contains
        the harmonized GOARCH values for gccgo.
        See https://github.com/golang/go/issues/18031
     2. Allow "go install" and "go test" to retry to try to overcome the
        "waitid: bad address" error on mips and mipsel.
        (See #867358)
  * Temporarily (?) revert "Add 002-update-test-fixture-paths.patch and
    removed DH_GOLANG_INSTALL_EXTRA to make build reproducible." to investigate
    the actual failure mode on tests.reproducible-builds.org for reporting
    upstream. (See #869304)
  * Remove Depends on golang-github-spf13-viper-dev from
    golang-github-spf13-cobra-dev in order to avoid a
    "circular dependency hell" with golang-github-spf13-viper-dev,
    golang-github-xordataexchange-crypt-dev, golang-etcd-server-dev
    and finally golang-github-spf13-cobra-dev itself.
    Thanks to Shengjing Zhu for the observation that the cobra library
    does not actually need viper; only the cobra executable does.
    (Closes: #869989)

 -- Anthony Fok <foka@debian.org>  Fri, 28 Jul 2017 21:04:30 -0600

golang-github-spf13-cobra (0.0~git20170724.0.90fc11b-2) unstable; urgency=medium

  * Add 002-update-test-fixture-paths.patch and removed
    DH_GOLANG_INSTALL_EXTRA to make build reproducible. (Closes: #869304)

 -- Michael Lustfield <michael@lustfield.net>  Tue, 25 Jul 2017 23:15:47 -0500

golang-github-spf13-cobra (0.0~git20170724.0.90fc11b-1) unstable; urgency=medium

  * New upstream snapshot
  * Add 001-fix-TestGlobalNormFuncPropagation-on-gccgo.patch
    as == should not be used on a reflect.Value,
    see https://github.com/spf13/cobra/pull/496
  * Remove old Lintian embedded-library override
    cobra: unused-override embedded-library usr/bin/cobra: libyaml
  * Add Lintian override for extra-license-file
    which is actually a test fixture needed during "go test".
  * Add "Testsuite: autopkgtest-pkg-go" to debian/control

 -- Anthony Fok <foka@debian.org>  Mon, 24 Jul 2017 14:21:06 -0600

=== debian/rules ===
#!/usr/bin/make -f

# Include test fixtures
export DH_GOLANG_INSTALL_EXTRA := cobra/cmd/testdata

%:
	dh $@ --buildsystem=golang --with=golang

# We need to add -tags to for gccgo to handle MIPS architectures where
# gccgo uses "mipso32" for mips/mipsle and "mipsn64" for mips64/mips64le
ifeq ($(findstring mips,$(DEB_BUILD_ARCH)),mips)
# mipsel => mipsle, mips64el => mips64le
BUILDTAGS := $(DEB_BUILD_ARCH:el=le)
endif

ifdef BUILDTAGS
override_dh_auto_build:
	dh_auto_build -O--buildsystem=golang -- -tags $(BUILDTAGS) || \
	echo "dh_auto_build, Take 2" && \
	dh_auto_build -O--buildsystem=golang -- -tags $(BUILDTAGS) || \
	echo "dh_auto_build, Take 3" && \
	dh_auto_build -O--buildsystem=golang -- -tags $(BUILDTAGS)

override_dh_auto_test:
	dh_auto_test -O--buildsystem=golang -- -tags $(BUILDTAGS) || \
	echo "dh_auto_test, Take 2" && \
	dh_auto_test -O--buildsystem=golang -- -tags $(BUILDTAGS) || \
	echo "dh_auto_test, Take 3" && \
	dh_auto_test -O--buildsystem=golang -- -tags $(BUILDTAGS)
endif

## golang-github-spf13-cobra 0.0~git20170730.0.d7ba195

=== debian/changelog ===
golang-github-spf13-cobra (0.0~git20170730.0.d7ba195-1) unstable; urgency=medium

  * New upstream snapshot:
     - Fix reproducibility in TestGoldenAddCmd and TestGoldenInitCmd
       by hard-coding the year 2017 so they would not fail in 2018
       (See #869304)
  * Remove 001-fix-TestGlobalNormFuncPropagation-on-gccgo.patch
    which is now applied upstream
  * Build/test with --no-parallel on mips/mipsel/mips64el to enhance
    the chance of beating the "waitid: bad address" error (See #867358)

 -- Anthony Fok <foka@debian.org>  Sun, 30 Jul 2017 02:59:03 -0600

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-spf13-cobra.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-spf13-cobra.git
 XS-Go-Import-Path: github.com/spf13/cobra
+Testsuite: autopkgtest-pkg-go
 
 Package: golang-github-spf13-cobra-dev
 Architecture: all
@@ -24,8 +25,7 @@
          ${misc:Depends},
          golang-github-cpuguy83-go-md2man-dev,
          golang-github-mitchellh-go-homedir-dev,
-         golang-github-spf13-pflag-dev (>= 0.0~git20150917.0.5a13a75),
-         golang-github-spf13-viper-dev (>= 0.0~git20160605.0.c1ccc37)
+         golang-github-spf13-pflag-dev (>= 0.0~git20150917.0.5a13a75)
 Description: Go library for creating powerful modern Go CLI applications
  Cobra is a Go library providing a simple interface to create powerful
  modern CLI interfaces similar to git & go tools.

=== debian/rules ===
#!/usr/bin/make -f

# Include test fixtures
export DH_GOLANG_INSTALL_EXTRA := cobra/cmd/testdata

%:
	dh $@ --buildsystem=golang --with=golang

# We need to add -tags to for gccgo to handle MIPS architectures where
# gccgo uses "mipso32" for mips/mipsle and "mipsn64" for mips64/mips64le
ifeq ($(findstring mips,$(DEB_BUILD_ARCH)),mips)
# mipsel => mipsle, mips64el => mips64le
BUILDTAGS := $(DEB_BUILD_ARCH:el=le)
endif

ifdef BUILDTAGS
override_dh_auto_build:
	dh_auto_build -O--buildsystem=golang -O--no-parallel -- -tags $(BUILDTAGS) || \
	dh_auto_build -O--buildsystem=golang -O--no-parallel -- -tags $(BUILDTAGS) || \
	dh_auto_build -O--buildsystem=golang -O--no-parallel -- -tags $(BUILDTAGS) || \
	dh_auto_build -O--buildsystem=golang -O--no-parallel -- -tags $(BUILDTAGS) || \
	dh_auto_build -O--buildsystem=golang -O--no-parallel -- -tags $(BUILDTAGS) || \
	dh_auto_build -O--buildsystem=golang -O--no-parallel -- -tags $(BUILDTAGS) || \
	dh_auto_build -O--buildsystem=golang -O--no-parallel -- -tags $(BUILDTAGS)

override_dh_auto_test:
	dh_auto_test -O--buildsystem=golang -O--no-parallel -- -tags $(BUILDTAGS) || \
	dh_auto_test -O--buildsystem=golang -O--no-parallel -- -tags $(BUILDTAGS) || \
	dh_auto_test -O--buildsystem=golang -O--no-parallel -- -tags $(BUILDTAGS) || \
	dh_auto_test -O--buildsystem=golang -O--no-parallel -- -tags $(BUILDTAGS) || \
	dh_auto_test -O--buildsystem=golang -O--no-parallel -- -tags $(BUILDTAGS) || \
	dh_auto_test -O--buildsystem=golang -O--no-parallel -- -tags $(BUILDTAGS) || \
	dh_auto_test -O--buildsystem=golang -O--no-parallel -- -tags $(BUILDTAGS)
endif

## golang-github-spf13-cobra 0.0~git20170731.0.b26b538

=== debian/changelog ===
golang-github-spf13-cobra (0.0~git20170731.0.b26b538-2) unstable; urgency=medium

  * Remove d/watch (no upstream releases).
  * Standards-Version bump to 4.1.1 (no changes needed).

 -- Michael Lustfield <michael@lustfield.net>  Sun, 15 Oct 2017 17:40:58 -0500

golang-github-spf13-cobra (0.0~git20170731.0.b26b538-1) unstable; urgency=medium

  * New upstream snapshot:
     - Fix remaining reproducibility problem in TestGoldenAddCmd.
       The previous fix was incomplete. (See #869304)

 -- Anthony Fok <foka@debian.org>  Mon, 31 Jul 2017 12:27:51 -0600

golang-github-spf13-cobra (0.0~git20170730.0.d7ba195-2) unstable; urgency=medium

  * Team upload.
  * Add missing golang-gopkg-yaml.v2-dev build-dependency

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 30 Jul 2017 19:38:20 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
                golang-github-cpuguy83-go-md2man-dev,
                golang-github-mitchellh-go-homedir-dev,
                golang-github-spf13-pflag-dev (>= 0.0~git20150917.0.5a13a75),
-               golang-github-spf13-viper-dev (>= 0.0~git20160605.0.c1ccc37)
+               golang-github-spf13-viper-dev (>= 0.0~git20160605.0.c1ccc37),
+               golang-gopkg-yaml.v2-dev
 Standards-Version: 4.0.0
 Homepage: https://github.com/spf13/cobra
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-spf13-cobra.git
@@ -25,7 +26,8 @@
          ${misc:Depends},
          golang-github-cpuguy83-go-md2man-dev,
          golang-github-mitchellh-go-homedir-dev,
-         golang-github-spf13-pflag-dev (>= 0.0~git20150917.0.5a13a75)
+         golang-github-spf13-pflag-dev (>= 0.0~git20150917.0.5a13a75),
+         golang-gopkg-yaml.v2-dev
 Description: Go library for creating powerful modern Go CLI applications
  Cobra is a Go library providing a simple interface to create powerful
  modern CLI interfaces similar to git & go tools.

## golang-github-spf13-cobra 0.0.1

=== debian/changelog ===
golang-github-spf13-cobra (0.0.1-1) unstable; urgency=medium

  [ Félix Sipma ]
  * New upstream version 0.0.1
  * re-add debian watch file (upstream now provides tarballs)
  * bump Standards-Version to 4.1.1
    - use priority optional instead of extra
    - fix binary-control-field-duplicates-source lintian warning
  * add patch to remove test TestNormConsistent (fails and is removed upstream)
  * add myself to uploaders
  * remove useless lintian-overrides

  [ Dr. Tobias Quathamer ]
  * Remove repeated build calls on mips
  * Add missing golang-github-spf13-viper-dev to Depends

 -- Félix Sipma <felix+debian@gueux.org>  Mon, 27 Nov 2017 16:34:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: golang-github-spf13-cobra
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>,
            Tim Potter <tpot@hpe.com>,
-           Michael Lustfield <michael@lustfield.net>
+           Michael Lustfield <michael@lustfield.net>,
+           Félix Sipma <felix+debian@gueux.org>,
 Build-Depends: debhelper (>= 10),
                dh-golang,
                golang-any,
@@ -13,7 +14,7 @@
                golang-github-spf13-pflag-dev (>= 0.0~git20150917.0.5a13a75),
                golang-github-spf13-viper-dev (>= 0.0~git20160605.0.c1ccc37),
                golang-gopkg-yaml.v2-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: https://github.com/spf13/cobra
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-spf13-cobra.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-spf13-cobra.git
@@ -27,6 +28,7 @@
          golang-github-cpuguy83-go-md2man-dev,
          golang-github-mitchellh-go-homedir-dev,
          golang-github-spf13-pflag-dev (>= 0.0~git20150917.0.5a13a75),
+         golang-github-spf13-viper-dev (>= 0.0~git20160605.0.c1ccc37),
          golang-gopkg-yaml.v2-dev
 Description: Go library for creating powerful modern Go CLI applications
  Cobra is a Go library providing a simple interface to create powerful
@@ -38,7 +40,6 @@
  This package contains the Cobra library for Go.
 
 Package: cobra
-Priority: optional
 Architecture: any
 Built-Using: ${misc:Built-Using}
 Depends: ${shlibs:Depends},

## golang-github-spf13-cobra 0.0.2

=== debian/changelog ===
golang-github-spf13-cobra (0.0.2-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Anthony Fok ]
  * New upstream version 0.0.2
  * Apply "cme fix dpkg" to debian/control,
    bumping Standards-Version to 4.1.4,
    setting Priority to optional,
    removing unneeded versioned dependencies, etc.
  * Remove 0001-remove-TestNormConsistent.patch because
    upstream has indeed removed TestNormConsistent in 0.0.2.

 -- Anthony Fok <foka@debian.org>  Tue, 10 Apr 2018 06:08:37 -0600

golang-github-spf13-cobra (0.0.1-1.1) unstable; urgency=medium

  * Team upload.
  * Remove Michael Lustfield (self) from Uploaders list.

 -- Michael Lustfield <michael@lustfield.net>  Sat, 03 Feb 2018 12:13:33 -0600

=== debian/control ===
Source: golang-github-spf13-cobra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Anthony Fok <foka@debian.org>,
           Tim Potter <tpot@hpe.com>,
           Félix Sipma <felix+debian@gueux.org>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
               golang-github-cpuguy83-go-md2man-dev,
               golang-github-mitchellh-go-homedir-dev,
               golang-github-spf13-pflag-dev,
               golang-github-spf13-viper-dev,
               golang-gopkg-yaml.v2-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-spf13-cobra
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-spf13-cobra.git
Homepage: https://github.com/spf13/cobra
XS-Go-Import-Path: github.com/spf13/cobra

Package: golang-github-spf13-cobra-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-cpuguy83-go-md2man-dev,
         golang-github-mitchellh-go-homedir-dev,
         golang-github-spf13-pflag-dev,
         golang-github-spf13-viper-dev,
         golang-gopkg-yaml.v2-dev
Description: Go library for creating powerful modern Go CLI applications
 Cobra is a Go library providing a simple interface to create powerful
 modern CLI interfaces similar to git & go tools.
 .
 Cobra has an exceptionally clean interface and simple design without
 needless constructors or initialization methods.
 .
 This package contains the Cobra library for Go.

Package: cobra
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Built-Using: ${misc:Built-Using}
Description: Tool to generate Cobra-based modern Go CLI application
 Cobra is a Go library providing a simple interface to create powerful
 modern CLI interfaces similar to git & go tools.
 .
 Cobra has an exceptionally clean interface and simple design without
 needless constructors or initialization methods.
 .
 This package contains the Cobra Generator as /usr/bin/cobra,
 a tool that will generate your application scaffolding
 to rapidly develop a Cobra-based application.

## golang-github-spf13-cobra 0.0.3

=== debian/changelog ===
golang-github-spf13-cobra (0.0.3-1) unstable; urgency=medium

  [ Arnaud Rebillout ]
  * Add minimal requirement for spf13-pflag-dev
    (needed to build in stretch)

  [ Anthony Fok ]
  * New upstream version 0.0.3

 -- Anthony Fok <foka@debian.org>  Tue, 26 Jun 2018 02:37:05 -0600

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                golang-any,
                golang-github-cpuguy83-go-md2man-dev,
                golang-github-mitchellh-go-homedir-dev,
-               golang-github-spf13-pflag-dev,
+               golang-github-spf13-pflag-dev (>= 1.0.1~),
                golang-github-spf13-viper-dev,
                golang-gopkg-yaml.v2-dev
 Standards-Version: 4.1.4
@@ -26,7 +26,7 @@
          ${misc:Depends},
          golang-github-cpuguy83-go-md2man-dev,
          golang-github-mitchellh-go-homedir-dev,
-         golang-github-spf13-pflag-dev,
+         golang-github-spf13-pflag-dev (>= 1.0.1~),
          golang-github-spf13-viper-dev,
          golang-gopkg-yaml.v2-dev
 Description: Go library for creating powerful modern Go CLI applications

=== debian/rules ===
#!/usr/bin/make -f

# Include test fixtures
export DH_GOLANG_INSTALL_EXTRA := cobra/cmd/testdata

%:
	dh $@ --buildsystem=golang --with=golang

# We need to add -tags to for gccgo to handle MIPS architectures where
# gccgo uses "mipso32" for mips/mipsle and "mipsn64" for mips64/mips64le
ifeq ($(findstring mips,$(DEB_BUILD_ARCH)),mips)
# mipsel => mipsle, mips64el => mips64le
BUILDTAGS := $(DEB_BUILD_ARCH:el=le)
endif

ifdef BUILDTAGS
override_dh_auto_build:
	dh_auto_build -O--buildsystem=golang -O--no-parallel -- -tags $(BUILDTAGS)

override_dh_auto_test:
	dh_auto_test -O--buildsystem=golang -O--no-parallel -- -tags $(BUILDTAGS)
endif

## golang-github-spf13-cobra 0.0.4

=== debian/changelog ===
golang-github-spf13-cobra (0.0.4-2) unstable; urgency=medium

  * Update versioned dependencies according to go.mod
  * Remove DH_GOLANG_INSTALL_EXTRA from debian/rules as testdata/
    contents are automatically installed by dh-golang (>= 1.31~)
  * Remove old overrides for mips, mipsel and mips64el

 -- Anthony Fok <foka@debian.org>  Sun, 11 Aug 2019 01:25:46 -0600

golang-github-spf13-cobra (0.0.4-1) unstable; urgency=medium

  * New upstream version 0.0.4
  * Update Maintainer email address to team+pkg-go@tracker.debian.org
  * Apply "cme fix dpkg" fixes
    - Update debhelper dependency to "Build-Depends: debhelper-compat (= 12)"
    - Bump Standards-Version to 4.4.0 (no change)

 -- Anthony Fok <foka@debian.org>  Sun, 28 Jul 2019 04:06:23 -0600

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: golang-github-spf13-cobra
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>,
            Tim Potter <tpot@hpe.com>,
            Félix Sipma <felix+debian@gueux.org>
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper (>= 10),
-               dh-golang,
+Build-Depends: debhelper-compat (= 12),
+               dh-golang (>= 1.31~),
                golang-any,
-               golang-github-cpuguy83-go-md2man-dev,
-               golang-github-mitchellh-go-homedir-dev,
+               golang-github-cpuguy83-go-md2man-dev (>= 1.0.10~),
+               golang-github-mitchellh-go-homedir-dev (>= 1.1.0~),
                golang-github-spf13-pflag-dev (>= 1.0.1~),
-               golang-github-spf13-viper-dev,
-               golang-gopkg-yaml.v2-dev
-Standards-Version: 4.1.4
+               golang-github-spf13-viper-dev (>= 1.3.2~),
+               golang-gopkg-yaml.v2-dev (>= 2.2.2~)
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-spf13-cobra
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-spf13-cobra.git
 Homepage: https://github.com/spf13/cobra
@@ -24,11 +24,11 @@
 Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         golang-github-cpuguy83-go-md2man-dev,
-         golang-github-mitchellh-go-homedir-dev,
+         golang-github-cpuguy83-go-md2man-dev (>= 1.0.10~),
+         golang-github-mitchellh-go-homedir-dev (>= 1.1.0~),
          golang-github-spf13-pflag-dev (>= 1.0.1~),
-         golang-github-spf13-viper-dev,
-         golang-gopkg-yaml.v2-dev
+         golang-github-spf13-viper-dev (>= 1.3.2~),
+         golang-gopkg-yaml.v2-dev (>= 2.2.2~)
 Description: Go library for creating powerful modern Go CLI applications
  Cobra is a Go library providing a simple interface to create powerful
  modern CLI interfaces similar to git & go tools.

## golang-github-spf13-cobra 0.0.5

=== debian/changelog ===
golang-github-spf13-cobra (0.0.5-1) unstable; urgency=medium

  * New upstream version 0.0.5
  * debian/gbp.conf: Set debian-branch to debian/sid for DEP-14 conformance
  * Add "Rules-Requires-Root: no" to debian/control
  * Bump Standards-Version to 4.5.0 (no change)
  * Update versioned dependency according to go.mod
  * Apply upstream patch "Bump year on golden files (#1010)"
    as a temporary measure to allow TestGolden* to pass in the year 2020

 -- Anthony Fok <foka@debian.org>  Fri, 21 Feb 2020 13:20:48 -0700

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,14 @@
                golang-any,
                golang-github-cpuguy83-go-md2man-dev (>= 1.0.10~),
                golang-github-mitchellh-go-homedir-dev (>= 1.1.0~),
-               golang-github-spf13-pflag-dev (>= 1.0.1~),
+               golang-github-spf13-pflag-dev (>= 1.0.3~),
                golang-github-spf13-viper-dev (>= 1.3.2~),
                golang-gopkg-yaml.v2-dev (>= 2.2.2~)
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-spf13-cobra
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-spf13-cobra.git
 Homepage: https://github.com/spf13/cobra
+Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/spf13/cobra
 
 Package: golang-github-spf13-cobra-dev
@@ -26,7 +27,7 @@
          ${misc:Depends},
          golang-github-cpuguy83-go-md2man-dev (>= 1.0.10~),
          golang-github-mitchellh-go-homedir-dev (>= 1.1.0~),
-         golang-github-spf13-pflag-dev (>= 1.0.1~),
+         golang-github-spf13-pflag-dev (>= 1.0.3~),
          golang-github-spf13-viper-dev (>= 1.3.2~),
          golang-gopkg-yaml.v2-dev (>= 2.2.2~)
 Description: Go library for creating powerful modern Go CLI applications

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-spf13-cobra-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/spf13/cobra/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-spf13-cobra 0.0.7

=== debian/changelog ===
golang-github-spf13-cobra (0.0.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Drop patches (merged upstream)
  * Build against old go-md2man, not updated in debian yet

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 16 Jul 2020 08:39:18 -0400

## golang-github-spf13-cobra 1.1.1

=== debian/changelog ===
golang-github-spf13-cobra (1.1.1-2) unstable; urgency=medium

  * Team upload.
  * Add patch to set year to fixed value in golden tests (Closes: #979583)
  * Update Section to golang
  * Update Standards-Version to 4.5.1
  * Bump uscan watch file version to 4

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 10 Jan 2021 04:28:49 +0800

golang-github-spf13-cobra (1.1.1-1) unstable; urgency=medium

  * New upstream version 1.1.1
    - Fix: correct internal formatting for go-md2man v2 (which caused
      man page generation to be broken).
      See https://github.com/spf13/cobra/issues/1049 for context.
  * debian/control: Update versioned dependencies as per go.mod
  * Bump debhelper dependency to "Build-Depends: debhelper-compat (= 13)"

 -- Anthony Fok <foka@debian.org>  Sat, 24 Oct 2020 03:28:37 -0600

golang-github-spf13-cobra (1.0.0-4) unstable; urgency=medium

  * Team upload.
  * reinstate Depends: golang-github-cpuguy83-go-md2man-v2-dev
    rather than golang-github-cpuguy83-go-md2man-dev.
    golang-github-urfave-cli-dev 1.22.4-1 now depends on
    golang-github-cpuguy83-go-md2man-v2-dev

 -- Drew Parsons <dparsons@debian.org>  Mon, 05 Oct 2020 15:43:10 +0800

golang-github-spf13-cobra (1.0.0-3) unstable; urgency=medium

  * Team upload.
  * Revert to Depends: golang-github-cpuguy83-go-md2man-dev
    rather than golang-github-cpuguy83-go-md2man-v2-dev.
    The long chain of intermediate dependencies is not ready for md2man v2
    (notary ->-> opencontainers-runc -> urfave-cli ).
    urfave/cli has v2 but opencontainers/runc cannot use it, see
    https://github.com/opencontainers/runc/blob/f671f6bf3d3ee260bd03c90c2738ccc3d5f9e7f7/go.mod#L22
    https://github.com/urfave/cli/issues/1092

 -- Drew Parsons <dparsons@debian.org>  Sat, 03 Oct 2020 11:12:35 +0800

golang-github-spf13-cobra (1.0.0-2) unstable; urgency=medium

  * Team upload.
  * Depends: golang-github-cpuguy83-go-md2man-v2-dev
    rather than golang-github-cpuguy83-go-md2man-dev

 -- Drew Parsons <dparsons@debian.org>  Fri, 02 Oct 2020 16:20:30 +0800

golang-github-spf13-cobra (1.0.0-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.
  * Update standards version to 4.4.1, no changes needed.

  [ Drew Parsons ]
  * New upstream release.
  * update versioned dependency
    golang-github-spf13-viper-dev (>= 1.4.0~)

 -- Drew Parsons <dparsons@debian.org>  Mon, 28 Sep 2020 13:31:43 +0800

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,18 @@
 Uploaders: Anthony Fok <foka@debian.org>,
            Tim Potter <tpot@hpe.com>,
            Félix Sipma <felix+debian@gueux.org>
-Section: devel
+Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang (>= 1.31~),
                golang-any,
-               golang-github-cpuguy83-go-md2man-dev (>= 1.0.10~),
-               golang-github-mitchellh-go-homedir-dev (>= 1.1.0~),
-               golang-github-spf13-pflag-dev (>= 1.0.3~),
-               golang-github-spf13-viper-dev (>= 1.3.2~),
-               golang-gopkg-yaml.v2-dev (>= 2.2.2~)
-Standards-Version: 4.5.0
+               golang-github-cpuguy83-go-md2man-v2-dev (>= 2.0.0),
+               golang-github-mitchellh-go-homedir-dev (>= 1.1.0),
+               golang-github-spf13-pflag-dev (>= 1.0.5),
+               golang-github-spf13-viper-dev (>= 1.7.0),
+               golang-gopkg-yaml.v2-dev (>= 2.2.8)
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-spf13-cobra
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-spf13-cobra.git
 Homepage: https://github.com/spf13/cobra
@@ -25,11 +25,11 @@
 Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         golang-github-cpuguy83-go-md2man-dev (>= 1.0.10~),
-         golang-github-mitchellh-go-homedir-dev (>= 1.1.0~),
-         golang-github-spf13-pflag-dev (>= 1.0.3~),
-         golang-github-spf13-viper-dev (>= 1.3.2~),
-         golang-gopkg-yaml.v2-dev (>= 2.2.2~)
+         golang-github-cpuguy83-go-md2man-v2-dev (>= 2.0.0),
+         golang-github-mitchellh-go-homedir-dev (>= 1.1.0),
+         golang-github-spf13-pflag-dev (>= 1.0.5),
+         golang-github-spf13-viper-dev (>= 1.7.0),
+         golang-gopkg-yaml.v2-dev (>= 2.2.8)
 Description: Go library for creating powerful modern Go CLI applications
  Cobra is a Go library providing a simple interface to create powerful
  modern CLI interfaces similar to git & go tools.

## golang-github-spf13-cobra 1.1.2

=== debian/changelog ===
golang-github-spf13-cobra (1.1.2-1) unstable; urgency=medium

  * New upstream version 1.1.2
  * Refresh 0001-Set-year-to-fixed-value-in-golden-tests.patch
    to match year 2021 in golden tests in v1.1.2

 -- Anthony Fok <foka@debian.org>  Tue, 09 Feb 2021 18:48:56 -0700

golang-github-spf13-cobra (1.1.1-4) unstable; urgency=medium

  * Revert "Include local vendored copy of gopkg.in/yaml.v2 v2.2.8"
    The breaking change in v2.3.0 was reverted in v2.4.0, the current
    version in Debian.  See https://github.com/go-yaml/yaml/pull/670 .
    Thanks to Shengjing Zhu for the timely correction!
  * Bump dependency on golang-gopkg-yaml.v2-dev to (>= 2.4.0)

 -- Anthony Fok <foka@debian.org>  Mon, 01 Feb 2021 09:43:30 -0700

golang-github-spf13-cobra (1.1.1-3) unstable; urgency=medium

  * Include local vendored copy of gopkg.in/yaml.v2 v2.2.8
    instead of dependency on golang-gopkg-yaml.v2-dev because upstream
    said "Don't use yaml.v2 2.3.0 which has a breaking change".
    See https://github.com/spf13/cobra/pull/1259

 -- Anthony Fok <foka@debian.org>  Mon, 01 Feb 2021 05:03:22 -0700

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                golang-github-mitchellh-go-homedir-dev (>= 1.1.0),
                golang-github-spf13-pflag-dev (>= 1.0.5),
                golang-github-spf13-viper-dev (>= 1.7.0),
-               golang-gopkg-yaml.v2-dev (>= 2.2.8)
+               golang-gopkg-yaml.v2-dev (>= 2.4.0)
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-spf13-cobra
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-spf13-cobra.git
@@ -29,7 +29,7 @@
          golang-github-mitchellh-go-homedir-dev (>= 1.1.0),
          golang-github-spf13-pflag-dev (>= 1.0.5),
          golang-github-spf13-viper-dev (>= 1.7.0),
-         golang-gopkg-yaml.v2-dev (>= 2.2.8)
+         golang-gopkg-yaml.v2-dev (>= 2.4.0)
 Description: Go library for creating powerful modern Go CLI applications
  Cobra is a Go library providing a simple interface to create powerful
  modern CLI interfaces similar to git & go tools.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-spf13-cobra-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/spf13/cobra/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-spf13-cobra 1.2.1

=== debian/changelog ===
golang-github-spf13-cobra (1.2.1-2) unstable; urgency=medium

  * Upload to unstable
  * Team upload

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 29 Aug 2021 20:33:21 +0200

golang-github-spf13-cobra (1.2.1-1) experimental; urgency=medium

  * New upstream release 1.2.1

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 29 Aug 2021 11:26:00 +0200

golang-github-spf13-cobra (1.1.3-1) UNRELEASED; urgency=medium

  * New upstream version 1.1.3

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 29 Aug 2021 11:13:01 +0200
